Bug 1312885 - Inconsistent suggestions of supported browsers
Inconsistent suggestions of supported browsers
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.Core (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Alexander Wels
Pavel Novotny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 07:49 EST by jniederm
Modified: 2016-04-05 09:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 09:47:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description jniederm 2016-02-29 07:49:47 EST
Description of problem:
http://www.ovirt.org/download/ suggests (among others) "Latest Mozilla Firefox". However WebAdmin when loaded shows yelow alertbox "This Browser version isn't optimal for displaying the application graphics (refer to Documentation for details)".
Firefox 44 (from Fedora packages, currently latest) used.

Version-Release number of selected component (if applicable):
4.0 master, commit 60d8242

How reproducible:
100%

Steps to Reproduce:
1. Load WebAdmin (alert box shown on top of the screen)
Comment 1 Oved Ourfali 2016-03-01 08:04:19 EST
Alexander - can you contact Sandro, and fix that in the ovirt website?
Comment 2 Alexander Wels 2016-03-01 08:15:49 EST
Hmm the fix must have gotten lost during the transition, I had Greg make a pull request for the change, and now its wrong again.
Comment 3 Pavel Novotny 2016-03-31 12:06:18 EDT
Verified in rhevm-3.6.5-0.1.el6, browser: firefox-38.7.0-1.el6_7.x86_64 (ESR)

Documentation says (Installation Guide / Chapter 2. System Requirements):

Browser Requirements:
Tier 1 | Red Hat Enterprise Linux | Mozilla Firefox Extended Support Release (ESR) version | Administration Portal and User Portal 


No warning box about non-optimal browser is shown on login page (Webadmin & User Portal).

Note You need to log in before you can comment on or make changes to this bug.